Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.render
Class PrintRendererConfigurator

    java.lang.Object
      org.apache.fop.render.AbstractConfigurator
          org.apache.fop.render.AbstractRendererConfigurator
              org.apache.fop.render.PrintRendererConfigurator

All Implemented Interfaces:
  IFDocumentHandlerConfigurator, RendererConfigurator

Direct Known Subclasses:
  AFPRendererConfigurator, Java2DRendererConfigurator, PCLRendererConfigurator, PDFRendererConfigurator, PSRendererConfigurator, TXTRendererConfigurator

    public class PrintRendererConfigurator

extends AbstractRendererConfigurator
implements RendererConfigurator, IFDocumentHandlerConfigurator

Base Print renderer configurator (mostly handles font configuration)

Field Summary
`protected static org.apache.commons.logging.Log` | `log` logger instance

Fields inherited from class org.apache.fop.render.AbstractConfigurator
`userAgent`

Constructor Summary
`PrintRendererConfigurator(FOUserAgent userAgent)` Default constructor

Method Summary
`protected java.util.List<EmbedFontInfo>` | `buildFontList(org.apache.avalon.framework.configuration.Configuration cfg, FontResolver fontResolver, FontEventListener listener)` Builds the font list from configuration.
`void` | `configure(IFDocumentHandler documentHandler)` Configures a intermediate format document handler.
`void` | `configure(Renderer renderer)` Builds a list of EmbedFontInfo objects for use with the setup() method.
`void` | `setupFontInfo(IFDocumentHandler documentHandler, FontInfo fontInfo)` Sets up the `FontInfo` object for the IFDocumentHandler.

Methods inherited from class org.apache.fop.render.AbstractRendererConfigurator
`getRendererConfig, getRendererConfig, getType`

Methods inherited from class org.apache.fop.render.AbstractConfigurator
`getConfig`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static final org.apache.commons.logging.Log log

  logger instance

Constructor Detail

### PrintRendererConfigurator

    public PrintRendererConfigurator(FOUserAgent userAgent)

  Default constructor

  Parameters:
    `userAgent` - user agent

Method Detail

### configure

    public void configure(Renderer renderer)
                   throws FOPException

  Builds a list of EmbedFontInfo objects for use with the setup() method.

  Specified by:
    `configure` in interface `RendererConfigurator`
  Parameters:
    `renderer` - print renderer
  Throws:
    `FOPException` - if something's wrong with the config data

### buildFontList

    protected java.util.List<EmbedFontInfo> buildFontList(org.apache.avalon.framework.configuration.Configuration cfg,
                                                          FontResolver fontResolver,
                                                          FontEventListener listener)
                                                   throws FOPException

  Builds the font list from configuration.

  Parameters:
    `cfg` - the configuration object
    `fontResolver` - a font resolver
    `listener` - the font event listener
  Returns:
    the list of `EmbedFontInfo` objects
  Throws:
    `FOPException` - if an error occurs while processing the configuration

### configure

    public void configure(IFDocumentHandler documentHandler)
                   throws FOPException

  Configures a intermediate format document handler.

  Specified by:
    `configure` in interface `IFDocumentHandlerConfigurator`
  Parameters:
    `documentHandler` - the document handler instance
  Throws:
    `FOPException` - if an error occurs while configuring the object

### setupFontInfo

    public void setupFontInfo(IFDocumentHandler documentHandler,
                              FontInfo fontInfo)
                       throws FOPException

  Sets up the `FontInfo` object for the IFDocumentHandler.

  Specified by:
    `setupFontInfo` in interface `IFDocumentHandlerConfigurator`
  Parameters:
    `documentHandler` - the document handler instance
    `fontInfo` - the font info object to set up
  Throws:
    `FOPException` - if an error occurs while configuring the object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.